package uk.ac.reload.editor.style;

import uk.ac.reload.editor.adaptation.*;
import java.io.File;
import java.io.IOException;

import org.jdom.JDOMException;

import uk.ac.reload.editor.EditorHandler;
import uk.ac.reload.moonunit.ProfiledSchemaController;
import uk.ac.reload.moonunit.schema.SchemaException;

//M: the style schema controller
public class Style_SchemaController
extends ProfiledSchemaController
{
    /**
     * Schema file
     */ 
	public static File fileSchemaS1_0 = new File(new File(EditorHandler.SCHEMAMODELFOLDER, "idtva_100"), "style.xsd");
	
	/**
	 * Default Profile
	 */
	public static String defaultSProfile = "Style Default Profile";

    /**
	 * Constructor with Default Profile
     * @throws JDOMException
     * @throws IOException
     * @throws SchemaException
	 */
	public Style_SchemaController() throws JDOMException, SchemaException, IOException {
	    super();
	}

    public String getRootElementName() {
		return "style";
	}
	
	public String getVersion() {
		return Style_EditorHandler.IDTV_STYLE_1_0;
	}

    /* (non-Javadoc)
     * @see uk.ac.reload.moonunit.handler.SchemaController#getSchemaFile()
     */
    public File getSchemaFile() {
        return fileSchemaS1_0;
    }

    /* (non-Javadoc)
     * @see uk.ac.reload.moonunit.SchemaController#getProfileFolder()
     */
    public File getProfileFolder() {
        return Style_EditorHandler.PROFILE_FOLDER;
    }

    /* (non-Javadoc)
     * @see uk.ac.reload.moonunit.SchemaController#getSchemaHelperFolder()
     */
    public File getSchemaHelperFolder() {
        return Style_EditorHandler.SCHEMAHELPER_FOLDER;
    }

    /* (non-Javadoc)
     * @see uk.ac.reload.moonunit.SchemaController#getVocabFolder()
     */
    public File getVocabFolder() {
        return Style_EditorHandler.VOCAB_FOLDER;
    }
    
    /* (non-Javadoc)
     * @see uk.ac.reload.moonunit.SchemaController#getDefaultProfilename()
     */
    public String getDefaultProfileName() {
        return defaultSProfile;
    }
}